<?php

/* Custom Separator */
if (class_exists('WP_Customize_Control')) {
	class Shopeo_Custom_control extends WP_Customize_Control{
	   public $type = 'separator';
	   public function enqueue(){
			wp_enqueue_style( 'custom_controls_css', get_template_directory_uri().'/inc/customizer/css/controls.css');
		}
	   // Render the control's content.
	   public function render_content(){?>
		<h3 class="separator-info"><?php echo esc_html( $this->label ); ?></h3>
		<small><?php echo wp_kses_post($this->description); ?></small>
	 <?php  } 
	}
 }

 if ( class_exists( 'WP_Customize_Control' ) ) {
	require get_template_directory() . '/inc/customizer/toggle-ccontrols/class-customizer-toggle-control.php';
}

/**
 * shopeo Theme Customizer
 *
 * @package shopeo
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function shopeo_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'shopeo_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'shopeo_customize_partial_blogdescription',
		) );
	}

 	
	$wp_customize->add_section( 'title_tagline' , array(
		'title'      => __( 'Site Settings', 'shopeo' ),
		'priority'   => 30,
	) );
	
	/**
	 * Topbar Customizer.
	 */
	$wp_customize->add_panel('topbar_panel',array(
		'title'=>'Theme Options',
		'description'=> '',
		'priority'=> 4,
	));
	$wp_customize->add_section( 'topbar_settings' , array(
        'title'      => __( 'Topbar Options', 'shopeo' ),
        'priority'   => 30,
		'panel'		=> 'topbar_panel'
    ));

	$wp_customize->add_setting('msg_switch_setting', array(
		'sanitize_callback' => 'shopeo_sanitize_html',
	));

	$wp_customize->add_control(new Shopeo_Custom_control($wp_customize, 
	   'msg_switch_setting', array(
	   'settings' => 'msg_switch_setting',
	   'section' => 'topbar_settings',
	   'label'   => 'Topbar Switch',
	   'priority'   => 1,
	)));
	$wp_customize->add_setting('shopeo_top_nav_enable', array(
		'sanitize_callback' => 'shopeo_sanitize_checkbox',
	));

	$wp_customize->add_control( new Shopeo_Toggle_Control( $wp_customize, 'shopeo_top_nav_enable', array(
		'label'	      => esc_html__( 'Topbar On/Off', 'shopeo' ),
		'section'     => 'topbar_settings',
		'settings'    => 'shopeo_top_nav_enable',
		'type'        => 'ios',// light, ios, flat
		'priority'   => 1,
	) ) );

	
	$wp_customize->add_setting('msg_separator_setting', array(
		'sanitize_callback' => 'shopeo_sanitize_html',
	));
	$wp_customize->add_control(new Shopeo_Custom_control($wp_customize, 
	   'msg_separator_setting', array(
	   'settings' => 'msg_separator_setting',
	   'section' => 'topbar_settings',
	   'label'   => 'Topbar Message',
	   'priority'   => 2,
	)));
	

    $wp_customize->add_setting( 'topbar_message', array(
		'transport' => 'postMessage',
		'sanitize_callback' => 'sanitize_text_field',
	));

    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'topbar_message',
            array(
                'label'      => __( 'Topbar Message', 'shopeo' ),
                'section'    => 'topbar_settings',
                'settings'   => 'topbar_message',
                'priority'   => 2,
            )
        )
    );

	//Social Conrtol
	$wp_customize->add_setting('separator_setting', array(
		'sanitize_callback' => 'shopeo_sanitize_html'
	));
	$wp_customize->add_control(new Shopeo_Custom_control($wp_customize, 
	   'separator_setting', array(
	   'settings' => 'separator_setting',
	   'section' => 'topbar_settings',
	   'label'   => 'Social Options',
	   'priority'   => 3,
	)));


	$wp_customize->add_setting( 'facebook', array(
		'sanitize_callback' => 'esc_url_raw',
	));

    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'facebook',
            array(
                'label'      => __( 'Facebook', 'shopeo' ),
				'type'		 =>'url',
                'section'    => 'topbar_settings',
                'settings'   => 'facebook',
                'priority'   => 3,
            )
        )
    );
	$wp_customize->add_setting( 'twitter', array(
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'twitter',
            array(
                'label'      => __( 'Twitter', 'shopeo' ),
				'type'		 =>'url',
                'section'    => 'topbar_settings',
                'settings'   => 'twitter',
                'priority'   => 4,
            )
        )
    );
	$wp_customize->add_setting( 'linkedin', array(
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'linkedin',
            array(
                'label'      => __( 'Linkedin', 'shopeo' ),
				'type'		 =>'url',
                'section'    => 'topbar_settings',
                'settings'   => 'linkedin',
                'priority'   => 5,
            )
        )
    );
	$wp_customize->add_setting( 'instagram', array(
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'instagram',
            array(
                'label'      => __( 'Instagram', 'shopeo' ),
				'type'		 =>'url',
                'section'    => 'topbar_settings',
                'settings'   => 'instagram',
                'priority'   => 6,
            )
        )
    );
	$wp_customize->add_setting( 'pinterest', array(
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'pinterest',
            array(
                'label'      => __( 'Pinterest', 'shopeo' ),
				'type'		 =>'url',
                'section'    => 'topbar_settings',
                'settings'   => 'pinterest',
                'priority'   => 6,
            )
        )
    );
	$wp_customize->add_setting( 'email', array(
		'sanitize_callback' => 'is_email',
	));
	$wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'email',
            array(
                'label'      => __( 'Email', 'shopeo' ),
				'type'		 =>'url',
                'section'    => 'topbar_settings',
                'settings'   => 'email',
                'priority'   => 7,
            )
        )
    );

	/**
	* Topbar Background
	*/
	$wp_customize->add_setting('topbar_bg_setting', array(
		'sanitize_callback' => 'shopeo_sanitize_html',
	));
	$wp_customize->add_control(new Shopeo_Custom_control($wp_customize, 
	   'topbar_bg_setting', array(
	   'settings' => 'topbar_bg_setting',
	   'section' => 'topbar_settings',
	   'label'   => 'Topbar Background',
	   'priority'   => '10',
	)));

	$wp_customize->add_setting('topbar_bg', array(
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 
	'topbar_bg', 
		array(
		'label' => __( 'Topbar Background', 'shopeo' ),
		'section' => 'topbar_settings',
		'settings' => 'topbar_bg',
		'default'     => '#7baf42',
	) ) );

	/**
	 * Sidebar Settings.
	 */
	$wp_customize->add_section( 'blog_settings' , array(
        'title'      => __( 'Blog Options', 'shopeo' ),
        'priority'   => 31,
		'panel'		=> 'topbar_panel'
    ));
	$wp_customize->add_setting('sidebar_settings', array(
		'sanitize_callback' => 'shopeo_sanitize_checkbox',
	));

	$wp_customize->add_control( new Shopeo_Toggle_Control( $wp_customize, 'sidebar_settings', array(
		'label'	      => esc_html__( 'Sidebar Left/Right', 'shopeo' ),
		'section'     => 'blog_settings',
		'settings'    => 'sidebar_settings',
		'type'        => 'ios',// light, ios, flat
		'priority'   => 1,
	) ) );


}
add_action( 'customize_register', 'shopeo_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function shopeo_customize_partial_blogname() {
	bloginfo( 'name' );
}


//Sanitization Callback
function shopeo_sanitize_checkbox( $input ) {
	return ( ( isset( $input ) && true == $input ) ? true : false );
}
function shopeo_sanitize_html( $input ) {
	global $allowedposttags;
	return wp_kses( $input, $allowedposttags );
}
function shopeo_sanitize_text( $text ) {
	return sanitize_text_field( $text );
}

function shopeo_sanitize_float( $input ) {
	return filter_var($input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function shopeo_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

function shopeo_custom_css_output() {?>
  <style type="text/css" id="custom-theme-css">
  .top-bar-head{ background:<?php echo esc_attr(get_theme_mod( 'topbar_bg', '' )); ?>
  }
  </style>
<?php }
add_action( 'wp_head', 'shopeo_custom_css_output');


/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function shopeo_customize_preview_js() {
	wp_enqueue_script( 'shopeo-customizer', get_template_directory_uri() . '/assets/js/customizer.js', array( 'customize-preview' ), '1234567', true );
}
add_action( 'customize_preview_init', 'shopeo_customize_preview_js' );